Subject: Re: [XCON] Mail regarding draft-ietf-xcon-ccmp

From: Simon Pietro Romano <[email-masked]>
Date: Wed, 16 Feb 2011 14:56:09 +0100

Hi Peter,

thank you for your comments. Please, see in-line ([spromano]) my responses.

>     Dear authors of    draft-ietf-xcon-ccmp  version 11,
>
>     Here is an error I’ve found and a suggestion I have.
>
>     ·Page 97
>
>     The lines in the schema file
>
>     <xs:element name="operation" type="operation-type"
>
>                         minOccurs="1" maxOccurs="4"/>
>
>     need to be changed to
>
>     <xs:element name="operation" type="operationType"
>
>                         minOccurs="1" maxOccurs="4"/>
>
[spromano] Right! We modified this a while ago, but we forgot to update 
it in the current version of the draft. Thank you for pointing this out.
>
>     For optionsRequest, the format of this message type is a diversion
>     from the rest of the CCMP schema in that it does not have an
>     optionsRequest element.  This makes it harder to implement in a
>     server because it becomes a special case. Using tools like JAXB
>     will result in no optionsRequest class code being generated.
>

[spromano] We discussed this internally  when we introduced the 
optionsRequest message. We opted for avoiding in this particular case 
the approach based on specializing the request, since for this kind of 
message the request itself would be empty in most cases. Please notice 
that we nonetheless included an <any> element in the schema, to allow 
for potential customizations of the message. I also have to say that we 
encountered no particular issue when implementing the CCMP (by 
leveraging JAXB) with the current schema. Did you have a different 
experience with regard to this point?
This said, your proposal is a feasible one; I'm not personally against 
it if we decide to modify the schema.

Cheers,

Simon

>     Perhaps you could change
>
>     <!-- optionsRequest -->
>
>     <xs:complexType name="ccmp-options-request-message-type">
>
>     <xs:complexContent>
>
>     <xs:extension base="tns:ccmp-request-message-type"/>
>
>     </xs:complexContent>
>
>     </xs:complexType>
>
>     To
>
>     <!-- optionsRequest -->
>
>     <xs:complexType name="ccmp-options-request-message-type">
>
>     <xs:complexContent>
>
>     <xs:extension base="tns: ccmp-request-message-type ">
>
>     <xs:sequence>
>
>     <xs:element ref="optionsRequest"/>
>
>     </xs:sequence>
>
>     </xs:extension>
>
>     </xs:complexContent>
>
>     </xs:complexType>
>
>     <!-- optionsRequestType -->
>
>     <xs:element name="optionsRequest"
>
>                       type="optionsRequestType" />
>
>     <xs:complexType name="optionsRequestType">
>
>     <xs:sequence>
>
>     <xs:any namespace="##other" processContents="lax"
>
>                     minOccurs="0" maxOccurs="unbounded"/>
>
>     </xs:sequence>
>
>     <xs:anyAttribute namespace="##any" processContents="lax"/>
>
>     </xs:complexType>
>
>     Regards,
>
>     *Peter Reissner*
>
>     Unified Communications R&D - VCFS Team - Avaya, Belleville, Ontario
>
>     (Phone (613) 961-2282
>
>     Express/personal FAX: (613) 961-2339 mailbox 2282#
>
>     /[email-masked]* <mailto:[email-masked]>/*//*
>
>

-- 
                             _\\|//_
                             ( O-O )
    ~~~~~~~~~~~~~~~~~~~~~~o00~~(_)~~00o~~~~~~~~~~~~~~~~~~~~~~~~
                     Simon Pietro Romano
               Universita' di Napoli Federico II
                  Computer Science Department
         Phone: +39 081 7683823 -- Fax: +39 081 7684219
                 e-mail: [email-masked]
           http://www.comics.unina.it/simonpietro.romano

     <<Molti mi dicono che lo scoraggiamento è l'alibi degli
    idioti. Ci rifletto un istante; e mi scoraggio>>. Magritte.
                          oooO
    ~~~~~~~~~~~~~~~~~~~~~~(   )~~ Oooo~~~~~~~~~~~~~~~~~~~~~~~~~
                           \ (    (   )
                            \_)    ) /
                                  (_/